      *-------------------------------------------------------------------------
      *
      * Copyright (c) 2007-2008 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the LUTIL service program.
      *
      * LUTIL is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * LUTIL is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with LUTIL.  If not, see http://www.gnu.org/licenses/.
      *
      *-------------------------------------------------------------------------


      *-------------------------------------------------------------------------
      * Prototypes for Linked List Utilities
      *-------------------------------------------------------------------------
     D lutil_listFileMembers...
     D                 PR              *   extproc('lutil_listFileMembers')
     D   library                     10A   const
     D   filename                    10A   const
      *
     D lutil_listRecordFormats...
     D                 PR              *   extproc('lutil_listRecordFormats')
     D   library                     10A   const
     D   filename                    10A   const
      *
     D lutil_listObjects...
     D                 PR              *   extproc('lutil_listObjects')
     D   lib                         10A   const
     D   obj                         10A   const options(*omit : *nopass)
     D   type                        10A   const options(*nopass)
      *
     D lutil_listJobLibraryList...
     D                 PR              *   extproc('lutil_listJobLibraryList')
     D   qualJobName                 26A   const options(*omit : *nopass)
     D   internalJobNumber...
     D                               16A   const options(*omit : *nopass)
     D   libParts                    10I 0 const options(*nopass)
      *
     D lutil_listActiveSubsystemJobs...
     D                 PR              *   extproc('lutil_listActiveSubsystemJo-
     D                                     bs')
     D  sbsLib                       10A   const options(*nopass)
     D  sbsName                      10A   const options(*nopass)
      *
     D lutil_listDatabaseRelations...
     D                 PR              *   extproc('lutil_listDatabaseRelations-
     D                                     ')
     D   library                     10A   const
     D   file                        10A   const
